Bug 1064023

Summary: weston-launch is not suid root
Product: [Fedora] Fedora Reporter: Seppo Yli-Olli <seppo.yli-olli>
Component: westonAssignee: Richard Hughes <rhughes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: wayland-1.6.0-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-29 04:00:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Seppo Yli-Olli 2014-02-11 19:40:13 UTC
Description of problem:
This prevents weston-launch from starting Weston at all from KMS

Version-Release number of selected component (if applicable):
weston-1.4.0-2.fc21.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Switch to VT
2. Login
3. Run weston-launch

Actual results:
Weston complains it can't use open input devices

Expected results:
Weston should launch

Comment 1 Fedora Update System 2014-09-21 15:36:20 UTC
wayland-1.6.0-1.fc21, weston-1.6.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/wayland-1.6.0-1.fc21,weston-1.6.0-2.fc21

Comment 2 Fedora Update System 2014-09-24 15:46:25 UTC
Package wayland-1.6.0-1.fc21, weston-1.6.0-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wayland-1.6.0-1.fc21 weston-1.6.0-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11211/wayland-1.6.0-1.fc21,weston-1.6.0-2.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-09-29 04:00:21 UTC
wayland-1.6.0-1.fc21, weston-1.6.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.